#ifndef __PO_MEMORY_H__
#define __PO_MEMORY_H__

#ifdef __cplusplus
extern "C" {
#endif

#if defined( _MSC_VER ) || defined( __CYGWIN__ ) || defined( __MINGW32__ ) || \
    defined( mingw ) || defined(WIN32)
    #  if defined( POMEMORY_LIBRARY_STATIC )
    #    define POMEMORY_IMPORT_EXPORT
    #  elif defined( POMEMORY_BUILD_LIBRARY )
    #    define POMEMORY_IMPORT_EXPORT __declspec(dllexport)
    #  else
    #    define POMEMORY_IMPORT_EXPORT __declspec(dllimport)
    #  endif
#else
    #  define POMEMORY_IMPORT_EXPORT
#endif

extern POMEMORY_IMPORT_EXPORT size_t poMemGetUsed();
extern POMEMORY_IMPORT_EXPORT size_t poMemGetPhysical();

#ifdef __cplusplus
}
#endif

#endif /* __PO_MEMORY_H__ */
