#include <stdio.h>
#include <stdint.h>

#include <windows.h>
#define DPSAPI_VERSION 1
#include <psapi.h>

size_t poMemGetUsed()
{
    size_t size = 0;

    PROCESS_MEMORY_COUNTERS pmc;
    if (0 == GetProcessMemoryInfo (GetCurrentProcess(), & pmc, sizeof (pmc))) {
        return 0;
    }
    size = pmc.WorkingSetSize;

    return size;
}

size_t poMemGetPhysical()
{
    size_t size = 0;

    MEMORYSTATUSEX status;
    status.dwLength = sizeof(status);
    GlobalMemoryStatusEx(&status);
    size = status.ullTotalPhys;

    return size;
}
